Bug 498742 - Install using 256M ram crashes during installation of packages with no swap configured
Install using 256M ram crashes during installation of packages with no swap c...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-02 13:30 EDT by Walter Francis
Modified: 2009-06-10 09:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 09:32:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Walter Francis 2009-05-02 13:30:17 EDT
Description of problem:

During the package install phase on a system with 256M of ram and no swap configured, the installer crashes some number of packages in (50-100).  I am not sure of the F11 GUI minimial install, but it was 192M in F10, also there was no warning that 256M would be too little to perform the install.

Version-Release number of selected component (if applicable):

Fedora 11 Preview DVD, 32 bit, using vmware server 1.x with 256M of ram.

How reproducible:

100%

Steps to Reproduce:
1. Configure new VMware install with default settings (256m)
2. Run DVD installer, GUI mode
3. Create custom partition scheme, do not create a swap
4. Go through rest of installation to package install
  
Actual results:

Crashes some way into the package install

Expected results:

Should warn the user, or fail gracefully.

Additional info:
Comment 1 Chris Lumens 2009-05-11 16:00:10 EDT
Did you not get the following warning message:

You have not specified a swap partition.  Although not strictly required in all cases, it will significantly improve performance for most installations.
Comment 2 Walter Francis 2009-05-20 19:38:01 EDT
Yes, the message is shown.  Improving performance is one thing, not crashing is another.  :)
Comment 3 Bug Zapper 2009-06-09 11:01:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Chris Lumens 2009-06-10 09:32:14 EDT
This will be fixed in the next build of anaconda.  Thanks for the bug report.

Note You need to log in before you can comment on or make changes to this bug.